import type { TreeNodeKey } from './interface';
import type { TreeProps } from './props';
declare const _default: ({ props, emit }: {
    props: TreeProps;
    emit: any;
}) => {
    currentExpandedKeys: import("vue").WritableComputedRef<TreeNodeKey[], TreeNodeKey[]>;
    updateExpandedKeys: (val: TreeNodeKey[]) => void;
    currentCheckedKeys: import("vue").WritableComputedRef<TreeNodeKey[], TreeNodeKey[]>;
    updateCheckedKeys: (val: TreeNodeKey[]) => void;
    currentSelectedKeys: import("vue").WritableComputedRef<TreeNodeKey[], TreeNodeKey[]>;
    updateSelectedKeys: (val: TreeNodeKey[]) => void;
    hasSelected: (value: TreeNodeKey) => boolean;
    hasNoExpandableNode: import("vue").ComputedRef<boolean>;
};
export default _default;
